# Uses of Class
serp.bytecode.LookupSwitchInstruction

Packages that use LookupSwitchInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of LookupSwitchInstruction in serp.bytecode

Methods in serp.bytecode that return LookupSwitchInstruction
Modifier and Type
Method
Description
`LookupSwitchInstruction`
LookupSwitchInstruction.`addCase(int match, Instruction target)`
Add a case to this switch.
`LookupSwitchInstruction`
Code.`lookupswitch()`
The `lookupswitch` opcode.
`LookupSwitchInstruction`
LookupSwitchInstruction.`setCases(int[] matches, Instruction[] targets)`
Set the match-jumppt pairs for this switch.
`LookupSwitchInstruction`
LookupSwitchInstruction.`setDefaultOffset(int offset)`
Synonymous with `JumpInstruction.setOffset(int)`.
`LookupSwitchInstruction`
LookupSwitchInstruction.`setDefaultTarget(Instruction ins)`
Synonymous with `JumpInstruction.setTarget(serp.bytecode.Instruction)`.

## Uses of LookupSwitchInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type LookupSwitchInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterLookupSwitchInstruction(LookupSwitchInstruction obj)`
`void`
PrettyPrintVisitor.`enterLookupSwitchInstruction(LookupSwitchInstruction obj)`
`void`
BCVisitor.`exitLookupSwitchInstruction(LookupSwitchInstruction obj)`